#!/bin/sh
source /etc/vdr.d/conf/vdr

BOARD="$(/_config/bin/query_mb.sh)"

if [ "$BOARD" = "ACTIVY" ] ; then
   if [ "$SCREEN_RESOLUTION" = "1024x768" ] ; then
      cp /etc/X11/xorg.conf.activy.1024 /etc/X11/xorg.conf
   elif [ "$SCREEN_RESOLUTION" = "720x576" ] ; then
      cp /etc/X11/xorg.conf.activy.720 /etc/X11/xorg.conf
   fi
   if [ "$GUI" = "XFCE" ] ; then
      sed -i /etc/X11/xorg.conf -e "s/DefaultDepth 24/DefaultDepth 16/"
   else
      sed -i /etc/X11/xorg.conf -e "s/DefaultDepth 16/DefaultDepth 24/"
   fi
elif [ "$BOARD" = "SMT7020" ] ; then
   if [ "$SCREEN_RESOLUTION" = "720x576" ] ; then
      cp /etc/X11/xorg.conf.smt.720 /etc/X11/xorg.conf
   else
      cp /etc/X11/xorg.conf.smt.640 /etc/X11/xorg.conf
   fi
   if [ "$(grep VideoFormat /etc/vdr/setup.conf| grep 1)"  != "" ] ; then
      DS="400 225"
   else
      DS="300 225"
   fi
   sed -i /etc/X11/xorg.conf -e "s/^DisplaySize.*/DisplaySize   $DS/"
else
   if [ "$SCREEN_RESOLUTION" != "" -a "$SCREEN_RESOLUTION" != "Other" -a "$GUI" != "KDE" -a "$GUI" != "XFCE" ] ; then
      sed -i /etc/X11/xorg.conf -e "s/^[ \t]*Modes[ \t].*/\t\tModes \"$SCREEN_RESOLUTION\"/"
   fi   
fi
