#!/bin/bash

modprobe i2c-dev

echo "Activating RGB output"

ID=$( i2cset 2>&1 | fgrep "SMBus I801 adapter at 1810" | cut -d - -f2 | cut -f1 )
echo $ID
case "$ID" in
[0-9]) i2cset -y $ID 0x4a 0x03 0x0f ;;
*) echo ERROR: No i2c $ID found ;;
esac

exit 0